Package com.sas.services.mgmt

# Class ServiceRemoteObserver

java.lang.Object
java.rmi.server.RemoteObject
java.rmi.server.RemoteServer
java.rmi.server.UnicastRemoteObject
com.sas.services.mgmt.ServiceRemoteObserver

All Implemented Interfaces:
  `ServiceRemoteObserverInterface`, `Serializable`, `Remote`

public abstract class ServiceRemoteObserver extends UnicastRemoteObject implements ServiceRemoteObserverInterface
Abstract implementation of a remote service observer. A subclass must implement the `handleServiceEvent(ServiceEvent)` method.

Since:
  1.0
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class java.rmi.server.RemoteObject

  `ref`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServiceRemoteObserver()`
  Constructs a default instance of an observer capable of monitoring a service.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract void`
  `handleServiceEvent(ServiceEvent serviceEvent)`
  Provides an event notification to the service observer describing a change in the service.

  ### Methods inherited from class java.rmi.server.UnicastRemoteObject

  `clone, exportObject, exportObject, exportObject, exportObject, exportObject, unexportObject`

  ### Methods inherited from class java.rmi.server.RemoteServer

  `getClientHost, getLog, setLog`

  ### Methods inherited from class java.rmi.server.RemoteObject

  `equals, getRef, hashCode, toString, toStub`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ServiceRemoteObserver

    public ServiceRemoteObserver() throws RemoteException
    Constructs a default instance of an observer capable of monitoring a service.
    Throws:
      `RemoteException` - if unable to export the remote object to the RMI system.

- ## Method Details

  - ### handleServiceEvent

    public abstract void handleServiceEvent(ServiceEvent serviceEvent) throws ServiceException, RemoteException
    Provides an event notification to the service observer describing a change in the service. A concrete implementation of this class must implement this abstract method.
    Specified by:
      `handleServiceEvent` in interface `ServiceRemoteObserverInterface`
    Parameters:
      `serviceEvent` - Event describing a change to the service which is to be broadcast to registered listeners.
    Throws:
      `ServiceException` - in unable to execute the notification successfully.
      `RemoteException` - if a network anomaly occurs.